<?php 
get_header();
?>

<div id="contentbox">
	<div id="content">  
			<?php /* If this is a 404 page */ if (is_404()) { ?>
			<?php /* If this is a category archive */ } elseif (is_category()) { ?>
			<h2 class="archives">You are currently browsing the archives for the <?php single_cat_title(''); ?> category.</h2>

			<?php /* If this is a yearly archive */ } elseif (is_day()) { ?>
			<h2 class="archives">You are currently browsing the <a href="<?php bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> blog archives for the day <?php the_time('l, F jS, Y'); ?>.</h2>

			<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
			<h2 class="archives">You are currently browsing the <a href="<?php bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> blog archives for <?php the_time('F, Y'); ?>.</h2>

			<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
			<p>You are currently browsing the <a href="<?php bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> blog archives
			for the year <?php the_time('Y'); ?>.</p>

			<?php /* If this is a monthly archive */ } elseif (is_search()) { ?>
			<h2 class="archives">You have searched the <a href="<?php echo bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> blog archives for <strong>'<?php the_search_query(); ?>'</strong>. If you are unable to find anything in these search results, you can try one of these links.</h2>

			<?php /* If this is a monthly archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
			<h2 class="archives">You are currently browsing the <a href="<?php echo bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> blog archives.</h2>

			<?php } ?>
		
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
		<div class="post-block">
		

			<div class="storytitle"><h3><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h3></div>
			<div style="clear: both;"></div>
						<div class="meta"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/icon.gif" alt="post" style="margin-bottom: -4px;" />
			<?php if(!is_page()): ?>
			<?php _e("Category:"); ?> <?php the_category(',') ?> 
			<?php endif; ?>
			&#8212; <?php the_author() ?> @ <?php the_time() ?> &#8212; <img src="<?php bloginfo('stylesheet_directory'); ?>/images/comments.gif" alt="post" style="margin-bottom: -4px;" /> <?php comments_popup_link(__('Comments (0)'), __('Comments (1)'), __('Comments (%)')); ?> <?php edit_post_link(__('Edit This')); ?> 			<div class="postdate"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/date.gif" alt="post" style="margin-bottom: -4px; margin-right: 5px;" /><?php the_date('','',''); ?></div>
			
			</div>

			

		</div>
		
		<div class="post" id="post-<?php the_ID(); ?>">
		
			<?php 
			if(is_home() || is_single() || is_page()):
			?>
			<div class="storycontent">
			<?php the_content(__('(more...)')); ?>
			</div>
			<?php 
			else:
				echo "";
			endif; ?>
		
			<div><?php wp_link_pages(); ?></div>
		</div>

		<div class="pagenav">
			<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
			<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
		</div>

<?php comments_template(); // Get wp-comments.php template ?>
	
		
<?php endwhile; ?> 

		<div class="pagenav">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>

<?php else: ?>
<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p>
		<form id="searchform" method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">
<div>
<input class="search" type="text" name="s" id="s" size="20" /> <br />
<input type="submit" name="submit" value="<?php _e('Search'); ?>" />
</div>
</form>

<?php endif; ?>
<?php get_footer(); ?>